

<div class="dialog-content-wrapper">
        <mat-toolbar class="{{secondColorBrand}} m-0">
          <mat-toolbar-row fxFlex fxLayout="row" fxLayoutAlign="space-between center">
            <h2 class="title dialog-title">{{data.title}}</h2>
            <button mat-icon-button aria-label="Close dialog">
              <mat-icon>close</mat-icon>
            </button>
          </mat-toolbar-row>
        </mat-toolbar>
      
        <div mat-dialog-content class="p-24 m-0" fusePerfectScrollbar>
      
          <br>
          <mat-divider></mat-divider>
         
          
          <form (ngSubmit)="onSubmit()" #inputForm="ngForm">
                <div fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px" *ngIf="data.type == 'scheduling'">
                  <mat-form-field fxFlex="100">
                    
                    <mat-select placeholder="Selecione uma Marca" name="brandSelected" [(ngModel)]="brandSelected">
                        <mat-option *ngFor="let brand of data.brandList" [value]="brand.id"  >
                            {{ brand.name }}
                          </mat-option>
                    </mat-select>

                   
                  </mat-form-field>
                </div>

                <div fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px" *ngIf="data.type == 'pendency'">
                  <mat-form-field fxFlex="100">
                    <mat-select placeholder="Selecione o tipo da Pendência" name="pendencyType" [(ngModel)]="pendencyType">
                          <mat-option  value="NONE" >Resolvido</mat-option>
                          <mat-option  value="NOT_ENOUGH_DATA" >Falta de dados/Dados inválidos</mat-option>
                      </mat-select>
                  </mat-form-field>
                </div>

                <div fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px" *ngIf="data.type == 'scheduling'">
                  <mat-form-field fxFlex="100">
                    <mat-select placeholder="Selecione um modelo comercial">
                      <mat-option value="Modelo 1">Modelo 1</mat-option>
                      <mat-option value="Modelo 2">Modelo 2</mat-option>
                      <mat-option value="Modelo 3">Modelo 3</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>

                <div fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px" *ngIf="data.type == 'pendency'">
                  <mat-form-field fxFlex="100">
                      <textarea matInput placeholder={{data.placeholder}} name="pendencyDescription" [(ngModel)]="pendencyDescription"
                                matTextareaAutosize matAutosizeMinRows="3" matAutosizeMaxRows="5" [value]="pendencyDescription" required></textarea>
                  </mat-form-field>
                </div>

            </form>
          <mat-divider></mat-divider>
          <br>
          <div fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
                <div mat-dialog-actions>
                        <button type="button" mat-raised-button (click)="onNoClick()">Cancelar</button>
                        <button type="submit" mat-raised-button color="primary" (click)="onSubmit()" [disabled]="!inputForm.form.valid">{{ data.type == 'scheduling' ? 'Transferir' : 'Salvar'}}</button>
                </div>
          </div>
      
          
        </div>
      
      </div>
      
